/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:22.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

import java.util.Date;

/**
 * 考试分数信息
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public class ExamScoreInfo implements JsonSerializable {

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 考试名称
     */
    @ExcelProperty(name = "批次名称", width = 30, index = 11)
    private String examName;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 学号
     */
    @ExcelProperty(name = "学号", width = 30, index = 2)
    private String studentCode;

    /**
     * 学生姓名
     */
    @ExcelProperty(name = "姓名", width = 30, index = 1)
    private String studentName;

    /**
     * 身份证号
     */
    @ExcelProperty(name = "身份证号", width = 30, index = 3)
    private String identityNumber;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程Code
     */
    @ExcelProperty(name = "课程代码", width = 30, index = 8)
    private String courseCode;

    /**
     * 课程名称
     */
    @ExcelProperty(name = "课程名称", width = 30, index = 9)
    private String courseName;

    /**
     * 课程层次
     */
    @ExcelProperty(name = "层次", width = 30, index = 5)
    private String courseLevel;

    /**
     * 课程名称(课程代码)
     */
    @ExcelProperty(name = "课程名称(课程代码)", width = 30, index = 10)
    private String courseNameAndCode;

    /**
     * 学习中心ID
     */
    private Long orgId;

    /**
     * 学习中心代码
     */
    private String orgCode;

    /**
     * 学习中心名称
     */
    @ExcelProperty(name = "学习中心", width = 30, index = 4)
    private String orgName;

    /**
     * 专业名称
     */
    @ExcelProperty(name = "专业", width = 30, index = 7)
    private String specialtyName;

    /**
     * 年级
     */
    @ExcelProperty(name = "年级", width = 30, index = 6)
    private String grade;

    /**
     * 是否完成考试
     */
    private String isFinished;


    @ExcelProperty(name = "是否缺考", width = 30, index = 14)
    private String isAbsent;

    /**
     * 最终成绩
     */
    @ExcelProperty(name = "考试最终成绩", width = 30, index = 18)
    private String finalExamScore;

    /**
     * 客观题得分总分
     */
    @ExcelProperty(name = "客观题得分", width = 30, index = 16)
    private String objectiveScore;

    /**
     * 主观题得分总分
     */
    @ExcelProperty(name = "主观题得分", width = 30, index = 17)
    private String subjectiveScore;

    /**
     * 违纪次数
     */
    @ExcelProperty(name = "违纪次数", width = 30, index = 12)
    private String disciplineCount;

    /**
     * 正常提交试卷次数
     */
    @ExcelProperty(name = "正常提交试卷次数", width = 30, index = 13)
    private String submitCount;

    /**
     * 考试开始时间
     */
    @ExcelProperty(name = "成绩统计时间", width = 31, index = 15)
    private String startTime;

    /**
     * 剩余考试次数
     */
    @ExcelProperty(name = "剩余考试次数", width = 31, index = 20)
    private Long leftExamTimes;

    /**
     * 采集人
     */
    @ExcelProperty(name = "采集人", width = 30, index = 19)
    private String infoCollector;

    @ExcelProperty(name = "场次", width = 30, index = 21)
    private String examStage;

    private Long examStageId;

    private Integer examStageOrder;

    /**
     * 场次开始时间
     */
    private Date stageStartTime;

    /**
     * 场次结束时间
     */
    private Date stageEndTime;

    private Long examRecordDataId;

    private String basePaperId;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getCourseNameAndCode() {
        return courseNameAndCode;
    }

    public void setCourseNameAndCode(String courseNameAndCode) {
        this.courseNameAndCode = courseNameAndCode;
    }

    public String getIsFinished() {
        return isFinished;
    }

    public void setIsFinished(String isFinished) {
        this.isFinished = isFinished;
    }

    public String getFinalExamScore() {
        return finalExamScore;
    }

    public void setFinalExamScore(String finalExamScore) {
        this.finalExamScore = finalExamScore;
    }

    public String getDisciplineCount() {
        return disciplineCount;
    }

    public void setDisciplineCount(String disciplineCount) {
        this.disciplineCount = disciplineCount;
    }

    public String getSubmitCount() {
        return submitCount;
    }

    public void setSubmitCount(String submitCount) {
        this.submitCount = submitCount;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getIsAbsent() {
        return isAbsent;
    }

    public void setIsAbsent(String isAbsent) {
        this.isAbsent = isAbsent;
    }

    public Long getLeftExamTimes() {
        return leftExamTimes;
    }

    public void setLeftExamTimes(Long leftExamTimes) {
        this.leftExamTimes = leftExamTimes;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public String getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(String objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(String subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Integer getExamStageOrder() {
        return examStageOrder;
    }

    public void setExamStageOrder(Integer examStageOrder) {
        this.examStageOrder = examStageOrder;
    }

    public String getExamStage() {
        return examStage;
    }

    public void setExamStage(String examStage) {
        this.examStage = examStage;
    }

    public Long getExamStageId() {
        return examStageId;
    }

    public void setExamStageId(Long examStageId) {
        this.examStageId = examStageId;
    }

    public Date getStageStartTime() {
        return stageStartTime;
    }

    public void setStageStartTime(Date stageStartTime) {
        this.stageStartTime = stageStartTime;
    }

    public Date getStageEndTime() {
        return stageEndTime;
    }

    public void setStageEndTime(Date stageEndTime) {
        this.stageEndTime = stageEndTime;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

}