package cn.com.qmth.examcloud.core.oe.admin.service.bean.statistic;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamStatisticInfo implements JsonSerializable {

    private static final long serialVersionUID = 5667104330981650606L;

    private Long examId;

    private String examName;

    private Long courseId;

    private String courseCode;

    private String courseName;

    private Long orgId;

    private String orgName;

    /**
     * 应考人数
     */
    private Integer allCount;

    /**
     * 实考人数
     */
    private Integer finishCount;

    /**
     * 缺考人数
     */
    private Integer unFinishCount;

    /**
     * 缺考率
     */
    private Double unFinishRate;

    /**
     * （成绩）及格人数
     */
    private Integer passScoreCount;

    /**
     * 及格率
     */
    private Double passScoreRate;

    /**
     * （成绩）优秀人数
     */
    private Integer goodScoreCount;

    /**
     * 优秀率
     */
    private Double goodScoreRate;

    /**
     * 违纪人数
     */
    private Integer illegalityCount;

    /**
     * 违纪率
     */
    private Double illegalityRate;

    public ExamStatisticInfo() {
        this.allCount = 0;
        this.finishCount = 0;
        this.unFinishCount = 0;
        this.unFinishRate = 0d;
        this.passScoreCount = 0;
        this.passScoreRate = 0d;
        this.goodScoreCount = 0;
        this.goodScoreRate = 0d;
        this.illegalityCount = 0;
        this.illegalityRate = 0d;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getUnFinishCount() {
        return unFinishCount;
    }

    public void setUnFinishCount(Integer unFinishCount) {
        this.unFinishCount = unFinishCount;
    }

    public Double getUnFinishRate() {
        return unFinishRate;
    }

    public void setUnFinishRate(Double unFinishRate) {
        this.unFinishRate = unFinishRate;
    }

    public Integer getPassScoreCount() {
        return passScoreCount;
    }

    public void setPassScoreCount(Integer passScoreCount) {
        this.passScoreCount = passScoreCount;
    }

    public Double getPassScoreRate() {
        return passScoreRate;
    }

    public void setPassScoreRate(Double passScoreRate) {
        this.passScoreRate = passScoreRate;
    }

    public Integer getGoodScoreCount() {
        return goodScoreCount;
    }

    public void setGoodScoreCount(Integer goodScoreCount) {
        this.goodScoreCount = goodScoreCount;
    }

    public Double getGoodScoreRate() {
        return goodScoreRate;
    }

    public void setGoodScoreRate(Double goodScoreRate) {
        this.goodScoreRate = goodScoreRate;
    }

    public Integer getIllegalityCount() {
        return illegalityCount;
    }

    public void setIllegalityCount(Integer illegalityCount) {
        this.illegalityCount = illegalityCount;
    }

    public Double getIllegalityRate() {
        return illegalityRate;
    }

    public void setIllegalityRate(Double illegalityRate) {
        this.illegalityRate = illegalityRate;
    }
}
